#include "mbed.h"
#include "HTTPClient.h"

using namespace std;

DigitalOut led(LED1);
HTTPClient http;

const char user[] = "<username>";
const char pass[] = "<password>";
const char msg[] = "status=<message>";
const char url[]  = "http://twitter.com/statuses/update.xml";

int main(void) {
    http.auth(user, pass);
    http.post(url, msg);
  
    while(1) {
        led = !led;
        wait(0.2);
    }
}

